Passa al contenuto principale

Create object storage IAM user S3 key

POST 

/api/v3/object-storages/:object_storage_id/iam-users/:iam_user_id/s3-keys

Required scopes: objectstorage:write

Creates a new S3 key for the IAM user and returns it with its secret, which afterwards is returned only with the objectstorage:secrets scope. An IAM user has at most 2 keys: with 2 keys the request is rejected with 409, as when the object storage is not active or is under maintenance.

Request​

Responses​

Created

Response Headers
    Location

    URL of the created resource